Difference between revisions of "Draft Facebinder/fr"

From FreeCAD Documentation
Jump to: navigation, search
m
 
(11 intermediate revisions by 2 users not shown)
Line 9: Line 9:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
 
 
{{GuiCommand/fr
 
{{GuiCommand/fr
 
|Name=Draft Facebinder
 
|Name=Draft Facebinder
Line 16: Line 15:
 
|Workbenches=[[Draft Module/fr|Atelier Draft]], [[Arch Module/fr|Atelier Arch]]
 
|Workbenches=[[Draft Module/fr|Atelier Draft]], [[Arch Module/fr|Atelier Arch]]
 
|Shortcut=F F
 
|Shortcut=F F
|SeeAlso=[[Part Box/fr|Part Box/fr]], [[Arch Wall/fr|Arch Wall/fr]]
+
|SeeAlso=[[Part Box/fr|Part Box]], [[Arch Wall/fr|Arch Wall]]
 
|Version=0.14
 
|Version=0.14
 
}}
 
}}
</div>
 
  
 
==Description==
 
==Description==
Line 45: Line 43:
 
== Propriétés ==
 
== Propriétés ==
 
=== Données ===
 
=== Données ===
* {{PropertyData|Extrusion}}: spécifie une épaisseur d'extrusion à appliquer à toutes les faces de la forme.
+
* {{PropertyData/fr|Extrusion}}: spécifie une épaisseur d'extrusion à appliquer à toutes les faces de la forme.
* {{PropertyData|Remove Splitter}}: mis à {{TRUE}}, il tente de fusionner les intersections internes du Facebinder lors de l'extrusion.
+
* {{PropertyData/fr|Remove Splitter}}: mis à {{TRUE}}, il tente de fusionner les intersections internes du Facebinder lors de l'extrusion.
* {{PropertyData|Sew}}: mis à {{TRUE}}, il tente d'effectuer une opération de couture topologique sur le Facebinder lors de l'extrusion.
+
* {{PropertyData/fr|Sew}}: mis à {{TRUE}}, il tente d'effectuer une opération de couture topologique sur le Facebinder lors de l'extrusion.
  
<div class="mw-translate-fuzzy">
 
 
===Vue===
 
===Vue===
 
* {{PropertyView/fr|Pattern}}: spécifie un [[Draft Pattern/fr|Pattern Draft]] avec lequel remplir la surface de la forme. Cette propriété ne fonctionne que si {{PropertyData/fr|Make Face}} est {{TRUE}} et si {{PropertyView/fr|Display Mode}} est "Flat Lines".
 
* {{PropertyView/fr|Pattern}}: spécifie un [[Draft Pattern/fr|Pattern Draft]] avec lequel remplir la surface de la forme. Cette propriété ne fonctionne que si {{PropertyData/fr|Make Face}} est {{TRUE}} et si {{PropertyView/fr|Display Mode}} est "Flat Lines".
 
* {{PropertyView/fr|Pattern Size}}: spécifie la taille du [[Draft Pattern/fr|Pattern Draft]].
 
* {{PropertyView/fr|Pattern Size}}: spécifie la taille du [[Draft Pattern/fr|Pattern Draft]].
</div>
 
  
<div class="mw-translate-fuzzy">
 
 
==Script==
 
==Script==
 
{{Emphasis|Voir aussi:}} [[Draft API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD scripts de base]].
 
{{Emphasis|Voir aussi:}} [[Draft API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD scripts de base]].
</div>
 
  
<div class="mw-translate-fuzzy">
 
 
L'outil [[Draft Facebinder/fr|Faces liées Draft]] peut être utilisé dans [[macros/fr|macros]] et à partir de la console [[Python/fr|Python]] à l'aide de la fonction suivante:
 
L'outil [[Draft Facebinder/fr|Faces liées Draft]] peut être utilisé dans [[macros/fr|macros]] et à partir de la console [[Python/fr|Python]] à l'aide de la fonction suivante:
</div>
 
 
{{Code|code=
 
{{Code|code=
 
Facebinder = makeFacebinder(selectionset)
 
Facebinder = makeFacebinder(selectionset)
 
}}
 
}}
<div class="mw-translate-fuzzy">
 
 
* Crée un objet {{incode|Facebinder}} à partir du {{incode|selectionset}} donné qui est une liste de {{incode|SelectionObject}} tels que ceux renvoyés par {{incode|FreeCADGui.Selection.getSelectionEx()}}.
 
* Crée un objet {{incode|Facebinder}} à partir du {{incode|selectionset}} donné qui est une liste de {{incode|SelectionObject}} tels que ceux renvoyés par {{incode|FreeCADGui.Selection.getSelectionEx()}}.
* Seules les faces sélectionnées sont prises en compte.
+
** {{incode|selectionset}} peut aussi être un {{incode|PropertyLinkSubList}}.
</div>
+
 
 +
Un {{incode|PropertyLinkSubList}} est une liste de tuples ; chaque tuple contient comme premier élément un {{incode|object}}, et comme deuxième élément une liste (ou tuple) de chaînes ; ces chaînes indiquent les noms des sous-éléments (faces) de cet objet.
  
 
{{Code|code=
 
{{Code|code=
Line 78: Line 70:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
+
L'épaisseur de Facebinder peut être ajoutée en écrasant son attribut {{incode|Extrusion}}. La valeur est entrée en millimètres.
L'épaisseur de ShapeString peut être ajoutée en écrasant son attribut {{incode|Extrusion}}. La valeur est entrée en millimètres.
 
</div>
 
  
<div class="mw-translate-fuzzy">
+
Le placement de Facebinder peut être modifié en remplaçant son attribut {{incode|Placement}}  ou en écrasant individuellement ses attributs {{incode|Placement.Base}} et {{incode|Placement.Rotation}}.
Le placement de ShapeString peut être modifié en remplaçant son attribut {{incode|Placement}}  ou en écrasant individuellement ses attributs {{incode|Placement.Base}} et {{incode|Placement.Rotation}}.
 
</div>
 
  
 
Exemple:
 
Exemple:
Line 108: Line 96:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
+
{{Docnav/fr
{{Docnav
+
|[[Draft_ShapeString/fr|Formes à partir texte Draft]]
|[[Draft_ShapeString|Formes à partir texte Draft]]
+
|[[Draft_BezCurve/fr|Courbe de Bézier Draft]]
|[[Draft_BezCurve|Courbe de Bézier Draft]]
+
|[[Draft_Module/fr|Atelier Draft]]
|[[Draft_Module|Atelier Draft]]
 
 
|IconL=Draft_ShapeString.svg
 
|IconL=Draft_ShapeString.svg
 
|IconC=Workbench_Draft.svg
 
|IconC=Workbench_Draft.svg
 
|IconR=Draft_BezCurve.svg  
 
|IconR=Draft_BezCurve.svg  
 
}}
 
}}
</div>
 
  
 
{{Draft Tools navi/fr}}
 
{{Draft Tools navi/fr}}

Latest revision as of 19:37, 26 October 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft Facebinder.svg Faces liées Draft

Emplacement du menu
Draft → Faces liées
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
F F
Introduit dans la version
0.14
Voir aussi
Part Box, Arch Wall


Description

L'outil Faces liées Draft crée un objet de surface à partir des faces sélectionnées d'un objet solide. Il est paramétrique, ce qui signifie que si vous modifiez l'objet d'origine, Faces liées Draft se met à jour en conséquence. Si vous déplacez et faites pivoter le Faces liées Draft, il restera lié aux faces d'origine.

Il peut être utilisé pour créer une extrusion à partir d'une collection de faces provenant d'autres objets. Une utilisation typique est dans la conception architecturale pour construire un objet qui recouvre plusieurs murs, par exemple un papier peint ou une finition murale.

Draft facebinder example.jpg

Faces liées sur un un mur


Utilisation

  1. Choisissez une face ou maintenez Ctrl et choisissez plusieurs faces dans des objets solides.
  2. Appuyez sur le bouton Draft Facebinder.png Faces liées Draft ou appuyez sur les touches F puis F.

Le Faces liées Draft peut être édité en double-cliquant sur l'élément dans l'arborescence. Ensuite, vous pouvez modifier les faces qui font partie de l'objet.

  • Pour ajouter une face, cliquez sur une face d'un objet solide dans la vue 3D, puis cliquez sur le bouton Arch Add.svg Ajouter.
  • Pour supprimer une face, sélectionnez l'un des sous-éléments de la liste, puis cliquez sur le bouton Arch Remove.svg Supprimer.
  • Appuyez sur Echap ou sur le bouton OK pour terminer l'édition.

Options

Cet objet n'a pas d'options lors de sa création. Seules les faces sélectionnées seront utilisées pour créer l'objet Faces liées Draft.

Propriétés

Données

  • DONNÉESExtrusion: spécifie une épaisseur d'extrusion à appliquer à toutes les faces de la forme.
  • DONNÉESRemove Splitter: mis à True, il tente de fusionner les intersections internes du Facebinder lors de l'extrusion.
  • DONNÉESSew: mis à True, il tente d'effectuer une opération de couture topologique sur le Facebinder lors de l'extrusion.

Vue

  • VUEPattern: spécifie un Pattern Draft avec lequel remplir la surface de la forme. Cette propriété ne fonctionne que si DONNÉESMake Face est True et si VUEDisplay Mode est "Flat Lines".
  • VUEPattern Size: spécifie la taille du Pattern Draft.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil Faces liées Draft peut être utilisé dans macros et à partir de la console Python à l'aide de la fonction suivante:

Facebinder = makeFacebinder(selectionset)
  • Crée un objet Facebinder à partir du selectionset donné qui est une liste de SelectionObject tels que ceux renvoyés par FreeCADGui.Selection.getSelectionEx().
    • selectionset peut aussi être un PropertyLinkSubList.

Un PropertyLinkSubList est une liste de tuples ; chaque tuple contient comme premier élément un object, et comme deuxième élément une liste (ou tuple) de chaînes ; ces chaînes indiquent les noms des sous-éléments (faces) de cet objet.

PropertyLinkSubList = [tuple1, tuple2, tuple3, ...]
PropertyLinkSubList = [(object1, list1), (object2, list2), (object3, list3), ...]
PropertyLinkSubList = [(object1, ['Face1', 'Face4', 'Face6']), ...]
PropertyLinkSubList = [(object1, ('Face1', 'Face4', 'Face6')), ...]

L'épaisseur de Facebinder peut être ajoutée en écrasant son attribut Extrusion. La valeur est entrée en millimètres.

Le placement de Facebinder peut être modifié en remplaçant son attribut Placement ou en écrasant individuellement ses attributs Placement.Base et Placement.Rotation.

Exemple:

import FreeCAD
import FreeCADGui
import Draft

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# selection = FreeCADGui.Selection.getSelectionEx()
selection = [(Box, ("Face1", "Face6"))]
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)